Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst
Interface BAParticipantManager

All Known Implementing Classes:
  BACoordinatorCompletionParticipantManagerStub, BAParticipantCompletionParticipantManagerStub

public interface BAParticipantManager

When a Business Activity participant registers with a BA transaction it gets a reference to the transaction coordinator that lets it callback into the transaction and drive the state-transition. One instance of this per transaction.

Since:
  XTS 1.0.
Version:
  $Id: BAParticipantManager.java,v 1.5 2004/09/09 08:48:33 kconner Exp $
Author:
  Mark Little (mark.little@arjuna.com)

Method Summary
`void` | `completed()` The participant has completed it works, but wishes to continue in the business activity, so that it will eventually be told when (and how) the activity terminates.
`void` | `error()` An error has occurred during the execution of the protocol that the participant wants to communicate to the coordinator.
`void` | `exit()` The participant has exited the business activity.
`void` | `fault()` Fault.
`void` | `unknown()` An unknown error has occurred that the participant wants to communicate to the coordinator.

Method Detail

### exit

    public void exit()
              throws WrongStateException,
                     UnknownTransactionException,
                     SystemException

  The participant has exited the business activity. The participant uses this to inform the coordinator that is has left the activity. It will not be informed when (and how) the business activity terminates.

  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `SystemException`

### completed

    public void completed()
                   throws WrongStateException,
                          UnknownTransactionException,
                          SystemException

  The participant has completed it works, but wishes to continue in the business activity, so that it will eventually be told when (and how) the activity terminates. The participant may later be asked to compensate for the work it has done.

  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `SystemException`

### fault

    public void fault()
               throws SystemException

  Fault.

  Throws:
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  An unknown error has occurred that the participant wants to communicate to the coordinator.

  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  An error has occurred during the execution of the protocol that the participant wants to communicate to the coordinator.

  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD